# class Puppet::Provider::Confine::Feature

### Public Class Methods

summarize(confines) click to toggle source

    # File lib/puppet/provider/confine/feature.rb, line 4
    def self.summarize(confines)
      confines.collect { |c| c.values }.flatten.uniq.find_all { |value| ! confines[0].pass?(value) }
    end

### Public Instance Methods

message(value) click to toggle source

    # File lib/puppet/provider/confine/feature.rb, line 13
    def message(value)
      "feature #{value} is missing"
    end

pass?(value) click to toggle source

Is the named feature available?

    # File lib/puppet/provider/confine/feature.rb, line 9
    def pass?(value)
      Puppet.features.send(value.to_s + "?")
    end